package cn.fw.rp.common.enums;

/**
 * @author suchu
 * @since 2018/5/9 13:24
 */
public enum FileTypeEnums {
    /**
     * 图片
     */
    IMAGE(1, "图片"),

    /**
     * 视频
     */
    VIDEO(2, "视频"),

    /**
     * 文档
     */
    FILE(3, "附件");

    private int type;
    private String desc;

    FileTypeEnums(int type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
