package cn.fw.rp.web;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * man端服务启动类
 *
 * @author luoxin
 * @create 2018-02-24
 */
@SpringBootApplication
@EnableTransactionManagement
@EnableAutoConfiguration
@MapperScan(basePackages = "cn.fw.rp.dao")
@ComponentScan({"cn.fw.rp.service", "cn.fw.rp.web"})
public class RpManServer {
    public static void main(String[] args) {
        new SpringApplicationBuilder(RpManServer.class).web(true).run(args);
    }
}
